//
// Image.java - Minimal subset of java.awt.Image
//
// We provide an 8bpp drawing space, with 6r x 6g x 6b colors
//

package nyangau.miniawt;

public class Image
  {
  public int width, height;   // not normally public
  public byte[] palette;      // not normally public
  public byte[] data;         // not normally public
  public Image(int w, int h)  // not normally public
    {
    width   = w;
    height  = h;
    palette = new byte[0x100*3];
    data    = new byte[w*h];
    int i = 0;
    for ( int r = 0; r < 6; r++ )
      for ( int g = 0; g < 6; g++ )
        for ( int b = 0; b < 6; b++ )
          {
          palette[i++] = (byte) ( r*0x33 );
          palette[i++] = (byte) ( g*0x33 );
          palette[i++] = (byte) ( b*0x33 );
          }
    }
  public Graphics getGraphics()
    {
    return new Graphics(this);
    }
  }
